$(document).ready(function() {
	
	/*
		Aleksey Skubaev

		askubaev@gmail.com
		icq - 322253350
		Разработка шаблонов для DLE и кроссбраузерная верстка
		------------------
		Необходимые jQuery скрипты.
	
	*/
	
	$('.scroll-up').click(function(){
		$('body,html').animate({
            scrollTop: 0
        }, 500);
        return false;
	});

	
	//Скользящая панель
	$(function(){
	  $(window).scroll(function() { 
	   var top = $(document).scrollTop();
	   if (top > 83) $('.navi-line').addClass('navi-line-fixed'); 
	   else $('.navi-line').removeClass('navi-line-fixed');
	  });
	 });
	 
	
	
	$('.head-block-content div:first').addClass('head-block-content-active');
	
	
	// Читаем куки
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	if($.cookie('activeContent')) {
		var activeContent = $.cookie('activeContent');
		$('.head-block-content div').removeClass('head-block-content-active');
		$('.head-block-content div').eq(activeContent).addClass('head-block-content-active');
	}
	
	if($.cookie('needClass')) {
		var needClass = $.cookie('needClass');
		$('.cibinews').attr('class', needClass);
	}
	
	if($.cookie('range')) {
		var range = $.cookie('range');
		$('#range').attr('value', range);
	}
	
	if($.cookie('range2')) {
		var range2 = $.cookie('range2');
		$('#range2').attr('value', range2);
	}
	
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	
	// Управлние контентом - внешний вид
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	$('.head-block-content div').click(function () {
		$('.head-block-content div').removeClass('head-block-content-active');
		$(this).addClass('head-block-content-active');
		
		/*записываем куки*/
		var activeContent = $('.head-block-content-active').index();
		$.cookie('activeContent', activeContent, {
			expires: 5
		});
	});
	
	// Размер блоков
	$("#range").change(function () {
		var currentWidth = $("#range").val();
		$('.cibinews').width(currentWidth);
		var $container = $('#dle-content');

		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
		
		/*записываем куки*/
		$.cookie('range', currentWidth, {
			expires: 5
		});
		
        })
        .change();
		
	// Размер шрифта
	$("#range2").change(function () {
		var currentFont = $("#range2").val();
		var currentLineHeight = currentFont*1.30;
		$('.cibinews').css({
			'font-size':''+currentFont+'px',
			'line-height':''+currentLineHeight+'px'
			});
		$('.cibinews').attr('font', currentFont);
		var $container = $('#dle-content');

		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
		
		/*записываем куки*/
		$.cookie('range2', currentFont, {
			expires: 5
		});
		
        })
        .change();
	
	$('.only-images').click(function(){
		$('.cibinews').removeClass('cibinews-mini-content');
		$('.cibinews').addClass('cibinews-only-images');
		var $container = $('#dle-content');
		
		/*записываем куки*/
		var needClass = $('.cibinews').attr('class');
		$.cookie('needClass', needClass, {
			expires: 5
		});

		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
	});
	
	$('.all-content').click(function(){
		$('.cibinews').removeClass('cibinews-only-images');
		$('.cibinews').removeClass('cibinews-mini-content');
		var $container = $('#dle-content');
		
		/*записываем куки*/
		var needClass = $('.cibinews').attr('class');
		$.cookie('needClass', needClass, {
			expires: 5
		});
		
		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
	});
	
	$('.mini-content').click(function(){
		$('.cibinews').removeClass('cibinews-only-images');
		$('.cibinews').addClass('cibinews-mini-content');
		var $container = $('#dle-content');
		
		/*записываем куки*/
		var needClass = $('.cibinews').attr('class');
		$.cookie('needClass', needClass, {
			expires: 5
		});
		
		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
	});
	
	$('.cibinews').wrapAll('<div class="dle-content2"></div>');
	
		var $container = $('.dle-content2');
		
		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});

});
